package com.xjrsoft.module.liteflow.node;

import cn.hutool.core.convert.Convert;
import com.xjrsoft.module.teacher.service.ITeacherAwardService;
import com.yomahub.liteflow.core.NodeComponent;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Map;

/**
 * 教师奖项登记
 */
@Component("teacher_award_node")
public class TeacherAwardNode extends NodeComponent {

    @Autowired
    private ITeacherAwardService teacherAwardService;

    @Override
    public void process() throws Exception {
        // 获取表单中数据编号
        Map<String, Object> params = this.getFirstContextBean();
        Object value = util.getFormDatKey(params,"id");
        Long formId = Convert.toLong(value);
        if (formId != null) {
            // 数据处理
            teacherAwardService.dataHandleAddTeacherAwardNode(formId);
        }
    }
}